import { __ } from "./$";
import { AppBranchAccessTokenIsExpired } from "./app-branch-access-token-is-expired";
import { AppBranchAccessTokenIsInvalid } from "./app-branch-access-token-is-invalid";
import { AppBranchLicenseKeyIsBlocked } from "./app-branch-license-key-is-blocked";
import { AppBranchLicenseKeyIsInvalid } from "./app-branch-license-key-is-invalid";
import { AppBranchLicenseKeyIsRequired } from "./app-branch-license-key-is-required";
import { AppBranchPasswordIsInvalid } from "./app-branch-password-is-invalid";
import { AppBranchRootDirDoesNotHaveEnoughFreeSpaceForRepairTask } from "./app-branch-root-dir-does-not-have-enough-free-space-for-repair-task";
import { AppBranchRootDirPermissionsAreInsufficient } from "./app-branch-root-dir-permissions-are-insufficient";
import { AppBranchRepairTaskHasBeenCancelled } from "./app-branch-repair-task-has-been-cancelled";
export declare type AppBranchRepairTaskErrorTypeName = (typeof AppBranchAccessTokenIsExpired.name | typeof AppBranchAccessTokenIsInvalid.name | typeof AppBranchLicenseKeyIsBlocked.name | typeof AppBranchLicenseKeyIsInvalid.name | typeof AppBranchLicenseKeyIsRequired.name | typeof AppBranchPasswordIsInvalid.name | typeof AppBranchRootDirDoesNotHaveEnoughFreeSpaceForRepairTask.name | typeof AppBranchRootDirPermissionsAreInsufficient.name | typeof AppBranchRepairTaskHasBeenCancelled.name | typeof __.FatalError.name);
//# sourceMappingURL=app-branch-repair-task-error-type-name.d.ts.map