"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAppBranchRootDirDef = void 0;
const _1 = require("./$");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_branch_is_preinstalled_1 = require("./app-branch-is-preinstalled");
const app_branch_root_dir_already_exists_1 = require("./app-branch-root-dir-already-exists");
const app_branch_root_dir_is_conflicting_with_other_file_system_entry_1 = require("./app-branch-root-dir-is-conflicting-with-other-file-system-entry");
const app_branch_root_dir_is_not_empty_1 = require("./app-branch-root-dir-is-not-empty");
const app_branch_root_dir_permissions_are_insufficient_1 = require("./app-branch-root-dir-permissions-are-insufficient");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
exports.createAppBranchRootDirDef = _1.__.defineManagedFunc()
    .name(`createAppBranchRootDir`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
    app_branch_root_dir_already_exists_1.AppBranchRootDirAlreadyExists,
    app_branch_root_dir_permissions_are_insufficient_1.AppBranchRootDirPermissionsAreInsufficient,
    app_branch_root_dir_is_conflicting_with_other_file_system_entry_1.AppBranchRootDirIsConflictingWithOtherFileSystemEntry,
    app_branch_root_dir_is_not_empty_1.AppBranchRootDirIsNotEmpty,
])
    .async()
    .executeType().createAppBranchRootDirDef;
//# sourceMappingURL=create-app-branch-root-dir-def.js.map