"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAppBranchProcessStateDef = void 0;
const _1 = require("./$");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
exports.fetchAppBranchProcessStateDef = _1.__.defineManagedFunc()
    .name(`fetchAppBranchProcessState`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
])
    .async()
    .executeType().fetchAppBranchProcessStateDef;
//# sourceMappingURL=fetch-app-branch-process-state.js.map