"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAppBranchUpdateTaskDownloadingTotalBytesEstimatedCountDef = void 0;
const _1 = require("./$");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_branch_is_preinstalled_1 = require("./app-branch-is-preinstalled");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
const service_connection_is_not_available_1 = require("./service-connection-is-not-available");
exports.fetchAppBranchUpdateTaskDownloadingTotalBytesEstimatedCountDef = _1.__.defineManagedFunc()
    .name(`fetchAppBranchUpdateTaskDownloadingTotalBytesEstimatedCount`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
    service_connection_is_not_available_1.ServiceConnectionIsNotAvailable,
])
    .async()
    .executeType().fetchAppBranchUpdateTaskDownloadingTotalBytesEstimatedCountDef;
//# sourceMappingURL=fetch-app-branch-update-task-downloading-total-bytes-estimated-count-def.js.map