"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.killAppBranchProcessDef = void 0;
const _1 = require("./$");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_branch_process_does_not_exist_1 = require("./app-branch-process-does-not-exist");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
exports.killAppBranchProcessDef = _1.__.defineManagedFunc()
    .name(`killAppBranchProcess`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
    app_branch_process_does_not_exist_1.AppBranchProcessDoesNotExist,
])
    .async()
    .executeType().killAppBranchProcessDef;
//# sourceMappingURL=kill-app-branch-process-def.js.map