"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cancelAppBranchUpdateTaskDef = void 0;
const _1 = require("./$");
const app_branch_is_not_available_1 = require("./app-branch-is-not-available");
const app_branch_is_not_allowed_1 = require("./app-branch-is-not-allowed");
const app_branch_update_task_does_not_exist_1 = require("./app-branch-update-task-does-not-exist");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
exports.cancelAppBranchUpdateTaskDef = _1.__.defineManagedFunc()
    .name(`cancelAppBranchUpdateTask`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    app_branch_is_not_available_1.AppBranchIsNotAvailable,
    app_branch_is_not_allowed_1.AppBranchIsNotAllowed,
    app_branch_update_task_does_not_exist_1.AppBranchUpdateTaskDoesNotExist,
])
    .async()
    .executeType().cancelAppBranchUpdateTaskDef;
//# sourceMappingURL=cancel-app-branch-update-task-def.js.map