"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAppVideosLangPresentationDef = void 0;
const _1 = require("./$");
const app_is_not_available_1 = require("./app-is-not-available");
const app_is_not_allowed_1 = require("./app-is-not-allowed");
const service_connection_is_not_available_1 = require("./service-connection-is-not-available");
exports.fetchAppVideosLangPresentationDef = _1.__.defineManagedFunc()
    .name(`fetchAppVideosLangPresentation`)
    .namespace(_1.$namespace)
    .errorTypes([
    app_is_not_available_1.AppIsNotAvailable,
    app_is_not_allowed_1.AppIsNotAllowed,
    service_connection_is_not_available_1.ServiceConnectionIsNotAvailable,
])
    .async()
    .executeType().fetchAppVideosLangPresentationDef;
//# sourceMappingURL=fetch-app-videos-lang-presentation-def.js.map